libfreehand::FHInternalStream Class Reference documentation

libfreehand::FHInternalStream Class Reference

`#include <FHInternalStream.h>`

Inheritance diagram for libfreehand::FHInternalStream:

## Public Member Functions
| FHInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| ~FHInternalStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override
unsigned long | getSize () const

## Private Member Functions
| FHInternalStream (const FHInternalStream &)
FHInternalStream & | operator= (const FHInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

## ◆ FHInternalStream() [1/2]

libfreehand::FHInternalStream::FHInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = false )

Referenced by FHInternalStream(), and operator=().

## ◆ ~FHInternalStream()

libfreehand::FHInternalStream::~FHInternalStream | ( |  | ) |
| inlineoverride

## ◆ FHInternalStream() [2/2]

libfreehand::FHInternalStream::FHInternalStream | ( | const FHInternalStream & |  | ) |
| private

## Member Function Documentation

## ◆ existsSubStream()

bool libfreehand::FHInternalStream::existsSubStream | ( | const char * |  | ) |
| inlineoverride

## ◆ getSize()

unsigned long libfreehand::FHInternalStream::getSize | ( |  | ) | const
| inline

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libfreehand::FHInternalStream::getSubStreamById | ( | unsigned |  | ) |
| inlineoverride

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libfreehand::FHInternalStream::getSubStreamByName | ( | const char * |  | ) |
| inlineoverride

## ◆ isEnd()

bool libfreehand::FHInternalStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libfreehand::FHInternalStream::isStructured | ( |  | ) |
| inlineoverride

## ◆ operator=()

FHInternalStream & libfreehand::FHInternalStream::operator= | ( | const FHInternalStream & |  | ) |
| private

## ◆ read()

const unsigned char * libfreehand::FHInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libfreehand::FHInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

Referenced by libfreehand::FHParser::parse().

## ◆ subStreamCount()

unsigned libfreehand::FHInternalStream::subStreamCount | ( |  | ) |
| inlineoverride

## ◆ subStreamName()

const char * libfreehand::FHInternalStream::subStreamName | ( | unsigned |  | ) |
| inlineoverride

## ◆ tell()

long libfreehand::FHInternalStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_buffer

std::vector<unsigned char> libfreehand::FHInternalStream::m_buffer
| private

Referenced by FHInternalStream(), getSize(), isEnd(), read(), and seek().

## ◆ m_offset

volatile long libfreehand::FHInternalStream::m_offset
| private

Referenced by FHInternalStream(), isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- FHInternalStream.h
- FHInternalStream.cpp